Package org.eclipse.m2m.atl.emftvm.impl

# Class ModelImpl.InstanceOfList

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.LazyCollection<E>
org.eclipse.m2m.atl.emftvm.util.LazyList<org.eclipse.emf.ecore.EObject>
org.eclipse.m2m.atl.emftvm.impl.ModelImpl.InstanceOfList

All Implemented Interfaces:
  `Iterable<org.eclipse.emf.ecore.EObject>`, `Collection<org.eclipse.emf.ecore.EObject>`, `List<org.eclipse.emf.ecore.EObject>`, `org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>`

Enclosing class:
  ModelImpl

public static class ModelImpl.InstanceOfList extends LazyList<org.eclipse.emf.ecore.EObject>
`LazyList` that returns only instances of a given type.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`ModelImpl.InstanceOfList.InstanceOfIterator`
`Iterator` for `ModelImpl.InstanceOfList`.

## Nested classes/interfaces inherited from class org.eclipse.m2m.atl.emftvm.util.LazyList

`LazyList.AppendList<E>, LazyList.CollectList<E>, LazyList.InsertAtList<E>, LazyList.IntegerRangeList, LazyList.LongRangeList, LazyList.NonCachingList<E>, LazyList.PrependList<E>, LazyList.ReverseList<E>, LazyList.SubList<E>, LazyList.UnionList<E>, LazyList.UnionListIterator`

## Nested classes/interfaces inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`LazyCollection.AppendIterator, LazyCollection.CachingIterator, LazyCollection.CachingSetIterator, LazyCollection.CollectIterator<T>, LazyCollection.ExcludingIterator, LazyCollection.FilterIterator, LazyCollection.FlattenIterator, LazyCollection.FlattenSetIterator, LazyCollection.IntegerRangeListIterator, LazyCollection.IntersectionIterator, LazyCollection.IteratorToListIterator, LazyCollection.LongRangeListIterator, LazyCollection.ReadOnlyIterator<E>, LazyCollection.ReadOnlyListIterator<E>, LazyCollection.RejectIterator, LazyCollection.ReverseIterator, LazyCollection.ReverseListIterator, LazyCollection.SelectIterator, LazyCollection.SubListIterator, LazyCollection.SubListListIterator, LazyCollection.SubtractionIterator, LazyCollection.UnionIterator, LazyCollection.UnionSetIterator, LazyCollection.WrappedIterator, LazyCollection.WrappedListIterator`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final org.eclipse.emf.ecore.EClass`
`type`

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`cache, dataSource, occurrences`

## Constructor Summary

Constructors
Constructor
Description
`InstanceOfList(Iterable<org.eclipse.emf.ecore.EObject> dataSource, org.eclipse.emf.ecore.EClass type)`
Creates a new `ModelImpl.InstanceOfList` around `dataSource`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`add(org.eclipse.emf.ecore.EObject o)`
Unsupported.
`protected void`
`createCache()`
Creates the cache collections.
`Iterator<org.eclipse.emf.ecore.EObject>`
`iterator()`
`boolean`
`remove(Object o)`
Unsupported.

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyList

`add, addAll, append, asSequence, asString, at, collect, equals, excluding, excludingAll, first, flatten, get, hashCode, including, including, includingAll, includingAll, includingRange, indexOf, indexOf2, insertAt, last, lastIndexOf, lastIndexOf2, listIterator, listIterator, move, move, prepend, reject, remove, reverse, select, set, sortedBy, subList, subSequence, union, union`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`addAll, any, appendElements, asBag, asOrderedSet, asSet, clear, contains, containsAll, containsAny, count, excludes, excludesAll, exists, exists2, forAll, forAll2, includes, includesAll, isEmpty, isUnique, iterate, mappedBy, mappedBySingle, max, min, notEmpty, one, product, removeAll, retainAll, size, sum, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`addAll, clear, contains, containsAll, isEmpty, removeAll, replaceAll, retainAll, size, sort, spliterator, toArray, toArray`

## Field Details

### type

protected final org.eclipse.emf.ecore.EClass type

## Constructor Details

### InstanceOfList

public InstanceOfList(Iterable<org.eclipse.emf.ecore.EObject> dataSource, org.eclipse.emf.ecore.EClass type)
Creates a new `ModelImpl.InstanceOfList` around `dataSource`.

Parameters:
  `dataSource` -
  `type` - the type of which to return the instances

## Method Details

### iterator

public Iterator<org.eclipse.emf.ecore.EObject> iterator()

Specified by:
  `iterator` in interface `Collection<org.eclipse.emf.ecore.EObject>`
Specified by:
  `iterator` in interface `Iterable<org.eclipse.emf.ecore.EObject>`
Specified by:
  `iterator` in interface `List<org.eclipse.emf.ecore.EObject>`
Overrides:
  `iterator` in class `LazyCollection<org.eclipse.emf.ecore.EObject>`

### remove

public boolean remove(Object o)
Unsupported.

Specified by:
  `remove` in interface `Collection<org.eclipse.emf.ecore.EObject>`
Specified by:
  `remove` in interface `List<org.eclipse.emf.ecore.EObject>`
Overrides:
  `remove` in class `LazyCollection<org.eclipse.emf.ecore.EObject>`
Parameters:
  `o` - the element to remove
Returns:
  nothing

### add

public boolean add(org.eclipse.emf.ecore.EObject o)
Unsupported.

Specified by:
  `add` in interface `Collection<org.eclipse.emf.ecore.EObject>`
Specified by:
  `add` in interface `List<org.eclipse.emf.ecore.EObject>`
Overrides:
  `add` in class `LazyCollection<org.eclipse.emf.ecore.EObject>`
Parameters:
  `o` - the element to add
Returns:
  nothing

### createCache

protected void createCache()
Creates the cache collections.

Overrides:
  `createCache` in class `LazyList<org.eclipse.emf.ecore.EObject>`